'use strict';

//전역
let _d = document,
  _w = window,
  _loc = location.href,
  _fullIdx = 0,
  event = {},
  __scrollCurrent = 0;

/************************  jQuery fnc *****************************/
(function ($) {
  event = {
    basic: {
      init: function () {
        // 스크립티 init
        event.basic.swiper();
        event.basic.hmbEvent();
      },
      hmbEvent : function(){
        $(".header--wrapper .header--contents .hmb--btn").on("click",function(){
          $("aside").toggleClass("actv");
          $("html, body").addClass("ovf");
        });

        $("aside .close--btn").on("click",function(){
          $("aside").toggleClass("actv");
          $("html, body").removeClass("ovf");
        });
      },
      swiper : function(){
        const swiper = new Swiper('.swiper.swp01', {
          loop: true,
          slidesPerView: "auto",
          spaceBetween: 20,
          pagination: {
            el: '.pagination--wraps.swp01',
          }
        });
        const swiper2 = new Swiper('.swiper.swp02', {
          loop: true,
          slidesPerView: "auto",
          spaceBetween: 20,
          pagination: {
            el: '.pagination--wraps.swp02',
          }
        });
      }
    }
  }
})(jQuery);

/************************  jQuery *****************************/
$(function () {
  event.basic.init();

});
